3

I can't seem to get any GRASS 7.6.0 algorithms to run inside QGIS 3.4.4 Processing toolbox on Arch Linux (kernel 4.20.8).

grass 7 algorithm error in qgis 3

I have GRASS installed at /opt/grass. Launches fine standalone with tools working and such.

I have gdal and gdal-grass plugin 2.3.2 installed.

ogrinfo --formats | grep -i grass                                                                                                                              
OGR_GRASS -vector- (ro): GRASS Vectors (5.7+)

I compiled QGIS with the following GRASS cmake options just to be sure even though the first compile without them says it found GRASS 7 in /opt/grass regardless.

-DWITH_GRASS7=ON \
-DGRASS_PREFIX7=/opt/grass \
-DGRASS_INCLUDE_DIR7=/opt/grass/include

And inside QGIS Settings > Options > System (tab) > Current Environment Variables there are some bold variables:

GISBASE = /opt/grass
GRASS_PAGER = cat

The GRASS Plugin works where it can open mapsets and run tools. QGIS Browser can see and load GRASS Datasets but Processing won't launch GRASS algorithms.


I found a 3 year old bug report filed by myself at https://issues.qgis.org/issues/13072 but I'm not sure if it's a regression and needs to be re-opened.

closed as off-topic by SaultDon, Vince, Jochen Schwarze, csk, Andre Silva Feb 23 at 17:08

This question appears to be off-topic. The users who voted to close gave this specific reason:

  • "Questions that relate to the business of vendors and product teams, such as licensing, pricing, release dates, submission of bug reports and enhancement requests, etc, are off-topic here and should be directed instead to the official software support teams." – SaultDon, Vince, Jochen Schwarze, csk, Andre Silva
If this question can be reworded to fit the rules in the help center, please edit the question.

  • Was a bug and has been fixed with QGIS release 3.6.0, voted to close – SaultDon Feb 22 at 17:03